local player = getFirstEntity("Player")
local completeflag = "DatGuyAlex_JumpRefillMap_b01-windy_complete"

function onBegin()
	if not getFlag(completeflag) then
	disableMovement()
	player.Speed.X = 0
	waitUntilOnGround()
	coroutine.yield(engine.Scene:ZoomTo(vector2(120, 128), 2, 1))
	walk(75)
	say("DatGuyAlex_JumpRefillMap_1_midairsupers_b01_windyA")
	player.Facing = getEnum("Celeste.Facings", "Left")
	wait(0.5)
	player.DummyAutoAnimate = false
	player.Sprite:Play("lookUp")
	say("DatGuyAlex_JumpRefillMap_1_midairsupers_b01_windyB")
	player.DummyAutoAnimate = true
	wait(0.5)
	walk(20)
	say("DatGuyAlex_JumpRefillMap_1_midairsupers_b01_windyC")
	coroutine.yield(engine.Scene:ZoomBack(1))
	end
end

function onEnd(room, wasSkipped)
	setMusicLayer(1, 1)
	enableMovement()
	setFlag(completeflag, true)
end